#include <bits/stdc++.h>
using namespace std;
long a[100000],n;
int snt(int n)
{
	if(n<2)return 0;
	for(int i=2;i<=sqrt(n);i++)
	{
		if(n%i==0)return 0;
	}
	return 1;
}
int main()
{
	ifstream f1("DEMNT.INP");
	ofstream f2("DEMNT.OUT");
	f1>>n;
	int i,dem=0;
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	for(i=0;i<n;i++)
	{
		if(snt(a[i])==1)dem++;
	}
	f2<<dem;
	f1.close();
	f2.close();
}
